Index: cprs/branches/foia-cprs/CPRS-Chart/Orders/fODMedIV.dfm
===================================================================
--- cprs/branches/foia-cprs/CPRS-Chart/Orders/fODMedIV.dfm	(revision 459)
+++ cprs/branches/foia-cprs/CPRS-Chart/Orders/fODMedIV.dfm	(revision 460)
@@ -1,8 +1,8 @@
 inherited frmODMedIV: TfrmODMedIV
-  Left = 321
-  Top = 199
+  Left = 587
+  Top = 331
   Width = 610
   Height = 341
-  Caption = 'IV Fluid Order'
+  Caption = 'Infusion Order'
   OnKeyDown = FormKeyDown
   PixelsPerInch = 96
@@ -11,7 +11,7 @@
     Left = 6
     Top = 196
-    Width = 63
-    Height = 13
-    Caption = 'Infusion Rate'
+    Width = 96
+    Height = 13
+    Caption = 'Infusion Rate (ml/hr)'
   end
   object lblPriority: TLabel [1]
@@ -30,9 +30,9 @@
   end
   object lblAmount: TLabel [3]
-    Left = 333
+    Left = 328
     Top = 6
-    Width = 74
-    Height = 13
-    Caption = 'Volume/Strenth'
+    Width = 80
+    Height = 13
+    Caption = 'Volume/Strength'
     WordWrap = True
   end
@@ -51,59 +51,5 @@
     Caption = 'Duration or Total Volume'
   end
-  object Label1: TStaticText [6]
-    Left = 100
-    Top = 213
-    Width = 28
-    Height = 17
-    Caption = 'ml/hr'
-    TabOrder = 15
-  end
-  object cboAdditive: TORComboBox [7]
-    Left = 6
-    Top = 20
-    Width = 200
-    Height = 125
-    Style = orcsSimple
-    AutoSelect = True
-    Caption = 'Additives'
-    Color = clWindow
-    DropDownCount = 11
-    ItemHeight = 13
-    ItemTipColor = clWindow
-    ItemTipEnable = True
-    ListItemsOnly = True
-    LongList = True
-    LookupPiece = 0
-    MaxLength = 0
-    Pieces = '2'
-    Sorted = False
-    SynonymChars = '<>'
-    TabPositions = '20'
-    TabOrder = 0
-    OnExit = cboAdditiveExit
-    OnMouseClick = cboAdditiveMouseClick
-    OnNeedData = cboAdditiveNeedData
-    CharsNeedMatch = 1
-  end
-  object tabFluid: TTabControl [8]
-    Left = 7
-    Top = 3
-    Width = 200
-    Height = 21
-    TabHeight = 15
-    TabOrder = 13
-    Tabs.Strings = (
-      '   Solutions   '
-      '   Additives   ')
-    TabIndex = 0
-    TabStop = False
-    OnChange = tabFluidChange
-  end
-  inherited memOrder: TCaptionMemo
-    Top = 255
-    Width = 475
-    TabOrder = 11
-  end
-  object txtRate: TCaptionEdit [10]
+  object txtRate: TCaptionEdit [6]
     Left = 6
     Top = 210
@@ -111,9 +57,10 @@
     Height = 21
     AutoSelect = False
-    TabOrder = 6
+    TabOrder = 5
     OnChange = ControlChange
+    OnExit = txtRateExit
     Caption = 'Infusion Rate'
   end
-  object cboPriority: TORComboBox [11]
+  object cboPriority: TORComboBox [7]
     Left = 134
     Top = 210
@@ -135,9 +82,9 @@
     Sorted = False
     SynonymChars = '<>'
-    TabOrder = 7
+    TabOrder = 6
     OnChange = ControlChange
     CharsNeedMatch = 1
   end
-  object grdSelected: TCaptionStringGrid [12]
+  object grdSelected: TCaptionStringGrid [8]
     Left = 214
     Top = 20
@@ -152,5 +99,5 @@
     Options = [goFixedVertLine, goFixedHorzLine, goVertLine, goHorzLine, goDrawFocusSelected]
     ScrollBars = ssVertical
-    TabOrder = 3
+    TabOrder = 2
     OnDrawCell = grdSelectedDrawCell
     OnKeyPress = grdSelectedKeyPress
@@ -158,5 +105,5 @@
     Caption = 'Selected Solution and Additives'
   end
-  object cmdRemove: TButton [13]
+  object cmdRemove: TButton [9]
     Left = 443
     Top = 99
@@ -164,8 +111,8 @@
     Height = 18
     Caption = 'Remove'
-    TabOrder = 4
+    TabOrder = 3
     OnClick = cmdRemoveClick
   end
-  object memComments: TCaptionMemo [14]
+  object memComments: TCaptionMemo [10]
     Left = 214
     Top = 120
@@ -175,9 +122,9 @@
       'memComments')
     ScrollBars = ssVertical
-    TabOrder = 5
+    TabOrder = 4
     OnChange = ControlChange
     Caption = 'Comments'
   end
-  object txtSelected: TCaptionEdit [15]
+  object txtSelected: TCaptionEdit [11]
     Tag = -1
     Left = 416
@@ -187,5 +134,5 @@
     Ctl3D = False
     ParentCtl3D = False
-    TabOrder = 1
+    TabOrder = 0
     Text = 'meq.'
     Visible = False
@@ -194,5 +141,5 @@
     Caption = 'Volume'
   end
-  object cboSelected: TCaptionComboBox [16]
+  object cboSelected: TCaptionComboBox [12]
     Tag = -1
     Left = 460
@@ -204,5 +151,5 @@
     ItemHeight = 13
     ParentCtl3D = False
-    TabOrder = 2
+    TabOrder = 1
     Visible = False
     OnChange = cboSelectedChange
@@ -210,44 +157,22 @@
     Caption = 'Volume/Strength'
   end
+  inherited memOrder: TCaptionMemo
+    Top = 255
+    Width = 475
+    TabOrder = 10
+  end
   inherited cmdAccept: TButton
     Left = 495
     Top = 255
-    TabOrder = 9
+    TabOrder = 8
   end
   inherited cmdQuit: TButton
     Left = 495
     Top = 282
-    TabOrder = 10
+    TabOrder = 9
   end
   inherited pnlMessage: TPanel
     Top = 237
-    TabOrder = 12
-  end
-  object cboSolution: TORComboBox
-    Left = 6
-    Top = 19
-    Width = 200
-    Height = 164
-    Style = orcsSimple
-    AutoSelect = True
-    Caption = 'Solutions'
-    Color = clWindow
-    DropDownCount = 11
-    ItemHeight = 13
-    ItemTipColor = clWindow
-    ItemTipEnable = True
-    ListItemsOnly = True
-    LongList = True
-    LookupPiece = 0
-    MaxLength = 0
-    Pieces = '2'
-    Sorted = False
-    SynonymChars = '<>'
-    TabPositions = '20'
-    TabOrder = 14
-    OnExit = cboSolutionExit
-    OnMouseClick = cboSolutionMouseClick
-    OnNeedData = cboSolutionNeedData
-    CharsNeedMatch = 1
+    TabOrder = 11
   end
   object pnlXDuration: TPanel
@@ -257,10 +182,10 @@
     Height = 21
     BevelOuter = bvNone
-    TabOrder = 8
+    TabOrder = 7
     OnEnter = pnlXDurationEnter
     DesignSize = (
       121
       21)
-    object btnXDuration: TSpeedButton
+    object btnXDuration: TBitBtn
       Left = 69
       Top = 1
@@ -269,4 +194,6 @@
       Anchors = [akLeft, akTop, akRight, akBottom]
       Caption = 'days'
+      TabOrder = 1
+      OnClick = btnXDurationClick
       Glyph.Data = {
         AE000000424DAE0000000000000076000000280000000E000000070000000100
@@ -279,6 +206,4 @@
       NumGlyphs = 2
       Spacing = 0
-      Transparent = False
-      OnClick = btnXDurationClick
     end
     object txtXDuration: TCaptionEdit
@@ -293,4 +218,83 @@
     end
   end
+  object pnlCombo: TPanel
+    Left = 8
+    Top = 1
+    Width = 200
+    Height = 185
+    BevelOuter = bvNone
+    TabOrder = 17
+    object cboAdditive: TORComboBox
+      Left = 0
+      Top = 20
+      Width = 200
+      Height = 165
+      Style = orcsSimple
+      Align = alClient
+      AutoSelect = True
+      Caption = 'Additives'
+      Color = clWindow
+      DropDownCount = 11
+      ItemHeight = 13
+      ItemTipColor = clWindow
+      ItemTipEnable = True
+      ListItemsOnly = True
+      LongList = True
+      LookupPiece = 0
+      MaxLength = 0
+      Pieces = '2'
+      Sorted = False
+      SynonymChars = '<>'
+      TabPositions = '20'
+      TabOrder = 0
+      OnExit = cboAdditiveExit
+      OnMouseClick = cboAdditiveMouseClick
+      OnNeedData = cboAdditiveNeedData
+      CharsNeedMatch = 1
+    end
+    object tabFluid: TTabControl
+      Left = 0
+      Top = 0
+      Width = 200
+      Height = 20
+      Align = alTop
+      TabHeight = 15
+      TabOrder = 1
+      Tabs.Strings = (
+        '   Solutions   '
+        '   Additives   ')
+      TabIndex = 0
+      TabStop = False
+      OnChange = tabFluidChange
+    end
+    object cboSolution: TORComboBox
+      Left = 0
+      Top = 20
+      Width = 200
+      Height = 165
+      Style = orcsSimple
+      Align = alClient
+      AutoSelect = True
+      Caption = 'Solutions'
+      Color = clWindow
+      DropDownCount = 11
+      ItemHeight = 13
+      ItemTipColor = clWindow
+      ItemTipEnable = True
+      ListItemsOnly = True
+      LongList = True
+      LookupPiece = 0
+      MaxLength = 0
+      Pieces = '2'
+      Sorted = False
+      SynonymChars = '<>'
+      TabPositions = '20'
+      TabOrder = 2
+      OnExit = cboSolutionExit
+      OnMouseClick = cboSolutionMouseClick
+      OnNeedData = cboSolutionNeedData
+      CharsNeedMatch = 1
+    end
+  end
   object popDuration: TPopupMenu
     AutoHotkeys = maManual
